package imp.ringing;

import java.io.UnsupportedEncodingException;
import java.util.ArrayList;

import android.util.Log;

/**
 * A superclass for all coders. 
 */
public abstract class Coder {
	private ArrayList<Boolean> buffer = new ArrayList<Boolean>();
	private String lastDecoded = "";

	public abstract boolean[] encode(String s) throws UnsupportedEncodingException;
	protected abstract String decode(Boolean[] s);

	/**
	 * @return Suffix of the buffer that has not yet been decoded.
	 */
	public String decodeNewData() {
		int originalLength = lastDecoded.length();
		lastDecoded = decode(buffer.toArray(new Boolean[buffer.size()]));
		
		Log.i("USER", "Recvr: Decoded " + lastDecoded);
		return lastDecoded.substring(originalLength);
	}
	
	/**
	 * Clears the buffer.
	 */
	public void clear() {
		buffer.clear();
		lastDecoded = "";
	}
	
	/**
	 * Adds a bit to the buffer.
	 * @param b The bit to add.
	 */
	public void append(boolean b) {
		buffer.add(b);
	}
}
