package imp.ringing;

import android.app.AlertDialog;
import android.content.DialogInterface;

/**
 * A static class that displays modal dialogs.
 */
public class Dialogs {
	
	/**
	 * Displays a modal dialog.
	 * @param title The title of the dialog.
	 * @param text The text contents of the dialog.
	 */
	public static void messageBox(String title, String text) {
		final String fTitle = title;
		final String fText = text;
		
		Main.context.runOnUiThread(
			new Runnable() {
				public void run() {
					AlertDialog.Builder alertDialog;
					alertDialog = new AlertDialog.Builder(Main.context);
					alertDialog.setTitle(fTitle);
					alertDialog.setMessage(fText);
					alertDialog.setPositiveButton("OK", new DialogInterface.OnClickListener() {
					    @Override
					    public void onClick(DialogInterface dialog, int which) {
					        dialog.dismiss();                      
					    }
					});
					alertDialog.create().show();
				}
			}
		);				
	}
	
}
