package imp.ringing;

import java.io.UnsupportedEncodingException;

/**
 * The default coder which translates 1 and 0 numbers directly into bits.
 */
public class PlainBitsCoder extends Coder {
	@Override
	public boolean[] encode(String s) throws UnsupportedEncodingException {
		boolean[] ret = new boolean[s.length()];
		for (int i = 0; i < s.length(); i++) {
			char c = s.charAt(i);			
			if (c != '0' && c != '1')
				throw new UnsupportedEncodingException("Only 0's and 1's can be used.");
			ret[i] = (c == '1');
		}
		
		return ret;
	}
	
	@Override
	public String decode(Boolean[] s) {
		StringBuilder ret = new StringBuilder();
		
		for (int i = 0; i < s.length; i++)
			ret.append(s[i] ? "1" : "0");
			
		return ret.toString();
	}
}
