package imp.ringing;

import android.support.v4.app.FragmentTransaction;
import android.support.v7.app.ActionBar;
import android.support.v7.app.ActionBar.Tab;
import android.support.v7.app.ActionBar.TabListener;
import android.view.View;

/**
 * A static class that handles tab navigation. 
 */
public class TabNavigator implements TabListener {
	private ActionBar actionBar;
	
	/**
	 * Creates the tree tabs and selects the first one.
	 */
	public TabNavigator() {
        actionBar = Main.context.getSupportActionBar();
        actionBar.setNavigationMode(ActionBar.NAVIGATION_MODE_TABS);		
        actionBar.addTab(actionBar.newTab()
        		.setText(R.string.tab_calling)
        		.setTag(Main.context.findViewById(R.id.tabCalling))
        		.setTabListener(this));
        actionBar.addTab(actionBar.newTab()
        		.setText(R.string.tab_settings)
        		.setTag(Main.context.findViewById(R.id.tabSettings))
        		.setTabListener(this));
        actionBar.addTab(actionBar.newTab()
        		.setText(R.string.tab_calibration)
        		.setTag(Main.context.findViewById(R.id.tabCalibration))
        		.setTabListener(this));
        actionBar.selectTab(actionBar.getTabAt(0));
	}

	@Override
	public void onTabReselected(Tab tab, FragmentTransaction transaction) {
	}

	@Override
	public void onTabSelected(Tab tab, FragmentTransaction transaction) {
		((View)tab.getTag()).setVisibility(View.VISIBLE);
	}

	@Override
	public void onTabUnselected(Tab tab, FragmentTransaction transaction) {
		((View)tab.getTag()).setVisibility(View.GONE);
	}

}
